Subject: bug#1754: 23.0.60; tool-bar is shown with tool-bar-mode off

From: "Drew Adams" <[email-masked]>
Date: Thu, 1 Jan 2009 13:51:09 -0800

> I am now getting the impression that `pop-up-frames-alist' is 
> being used for opening new normal frames, not just for popup
> frames. If so, that is at least a partial cause of the bug.

Yes, the cause of this is a faulty translation of `display-buffer' from C code
to Lisp - see my reply to Martin.

> I think that what Martin found is the other cause.
> 
> IOW, I think what is needed is both:
> 
> 1. Martin's patch: turning off the mode should update 
> `default-frame-alist'
> also.
> 
> 2. There is likely code somewhere that is now using 
> `pop-up-frame-alist' for the
> creation of ordinary frames, not popup frames. That needs to be fixed.

That place is apparently the new code for `display-buffer'.